// STORM V 2.2.0
var $1112 = jQuery.noConflict(true);

(function( jQuery ) {

if ( window.XDomainRequest ) {
	jQuery.ajaxTransport(function( s ) {
		if ( s.crossDomain && s.async ) {
			if ( s.timeout ) {
				s.xdrTimeout = s.timeout;
				delete s.timeout;
			}
			var xdr;
			return {
				send: function( _, complete ) {
					function callback( status, statusText, responses, responseHeaders ) {
						xdr.onload = xdr.onerror = xdr.ontimeout = xdr.onprogress = jQuery.noop;
						xdr = undefined;
						complete( status, statusText, responses, responseHeaders );
					}
					xdr = new XDomainRequest();
					xdr.open( s.type, s.url );
					xdr.onload = function() {
						callback( 200, "OK", { text: xdr.responseText }, "Content-Type: " + xdr.contentType );
					};
					xdr.onerror = function() {
						callback( 404, "Not Found" );
					};
					xdr.onprogress = function() {};
					if ( s.xdrTimeout ) {
						xdr.ontimeout = function() {
							callback( 0, "timeout" );
						};
						xdr.timeout = s.xdrTimeout;
					}
					xdr.send( ( s.hasContent && s.data ) || null );
				},
				abort: function() {
					if ( xdr ) {
						xdr.onerror = jQuery.noop();
						xdr.abort();
					}
				}
			};
		}
	});
}
})( $1112 );

/**
 * Created by hideaki on 2014/12/03.
 */
this.SuiteLibsJs = this.SuiteLibsJs||{};

/**
 * SendAnget JSライブラリクラス
 */
(function(window) {
    var SendAgent = function(maxCnt) {
        this.thisName = "SendAgent";
        if(maxCnt != undefined){
            this.maxCnt = maxCnt;
        }
    }

    //継承なし
    var p = SendAgent.prototype;

    p.sendUrl = "";
    p.type = "";
    p.maxCnt = 3;
    p.cnt = 0;
    p.delay = 500;

    /***
     * データ送信
     */
    p.sendGet = function(sendUrl){
        this.cnt = 0;
        this.sendUrl = sendUrl;
        this._sendGet();
    }

    p._sendGet = function(){
        try{
            var scope = this;
            $1112.ajax({
                type: "GET",
                dataType: "text",
                crossDomain: true,
                url: this.sendUrl,
                success: function(text) {
                    scope._onCompletedSendGet(text);
                },
                error: function(xhr, textStatus, errorThrown) {
                    scope._onErrorSendGet(xhr, textStatus, errorThrown);
                }
            });
        }catch(e){
        }
    }

    /***
     * データ送信成功イベントハンドラ
     * @private
     */
    p._onCompletedSendGet = function(text){
    };

    /***
     * データ送信エラーイベントハンドラ
     * @private
     */
    p._onErrorSendGet = function(xhr, textStatus, errorThrown){
        this.cnt++;
        if(this.cnt < this.maxCnt){
            var scope = this;
            setTimeout(function(){
                scope._sendGet();
            }, this.delay)
        }
    };

    SuiteLibsJs.SendAgent = SendAgent;
}(window));